<?php
  $ruta="../../";
  include_once($ruta."class/dominio.php");
  $dominio=new dominio;
  include_once($ruta."class/chofer.php");
  $chofer=new chofer;
  include_once($ruta."class/vadmejecutivo.php");
  $vadmejecutivo=new vadmejecutivo;
  include_once($ruta."class/persona.php");
  $persona=new persona;
   include_once($ruta."class/grupo.php");
  $grupo=new grupo;
   include_once($ruta."class/personagrupo.php");
  $personagrupo=new personagrupo;

  include_once($ruta."funciones/funciones.php");
  session_start();


  $idus=$_SESSION["codusuario"];
  $lblcode=ecUrl($idus);  
  //$mesAnteriorInicio= date("Y-m-01",strtotime($fecha_actual."- 1 month"));
  $mesInicio= date("Y-m-01");
  $mesFin= date("Y-m-d");
              
?>
<!DOCTYPE html>
<html lang="es">
<head>
  <?php
    $hd_titulo="REPORTE DE MOVIMEINTO DE COBROS";
    include_once($ruta."includes/head_basico.php");
    include_once($ruta."includes/head_tabla.php");
    include_once($ruta."includes/head_tablax.php");
  ?>
</head>
<body>
    <?php
      include_once($ruta."head.php");
    ?>
    <div id="main">
      <div class="wrapper">
        <?php
          $idmenu=1099;
          include_once($ruta."aside.php");
        ?>
        <section id="content">
          <!--breadcrumbs start-->
          <div id="breadcrumbs-wrapper">
            <div class="container">
              <div class="row">
                 <div class="col s12 m12 l12" style="background: white; text-align: center; color:#021e65; font-size: 25px; border-radius: 5px; border: #CBCBCB 1px solid; font-weight: bold;">
                <?php echo $hd_titulo; ?>
              </div>
              </div>
            </div>
          </div>
     
          <div class="container">
            <div class="section">
              <div class="row">
                     
              <div class="col s12 m6 l6" style="background: white; text-align: center; color:#1C2637; border-radius: 5px; border: #CBCBCB 1px solid">
             <table id="example2" class="display" cellspacing="0" width="100%">
                  <thead>
                    <tr>
                      <th>NOMBRE</th>
                      <th>CARNET</th> 
                      <th>GRUPO</th> 
                      
                      <th>OPCIONES</th>
                    </tr>
                  </thead>
                  <tfoot>
                    <tr>
                      <th></th>
                      <th></th> 
                      <th></th> 
                      <th></th>
                    </tr>
                  </tfoot>
                  <tbody>
                    <?php
                    foreach($chofer->mostrarTodo("estado=1") as $f)//idtipo=142
                    {
                      
                        $deje=$vadmejecutivo->muestra($f['idadmejecutivo']);
                       //$lblcodep=ecUrl($deje['idpersona']);
                       //$lblcode=ecUrl($f['idadmejecutivo']);
                       //$lblcodeCHO=ecUrl($f['idchofer']);

                       $per=$persona->muestra($deje['idpersona']);
                       $idpedoc=$per['idpersona'];

                     $pergru=$personagrupo->mostrarUltimo("idpersona=".$idpedoc." and estado=1");
                     $gru=$grupo->muestra($pergru['idgrupo']);
                     $nombrecompleto=$deje['nombre']." ".$deje['paterno']." ".$deje['materno'];
                    ?>
                    <tr >
                      <td><?php echo $deje['nombre']." ".$deje['paterno']." ".$deje['materno'] ?></td>
                      <td><?php echo $deje['carnet']." ".$deje['expedido']?></td>                      
                      <td>
                        <?php 
                          if (count($pergru)>0) 
                          {
                            echo $gru['nombre'];
                          }else{
                            echo '<p style=color:blue;>SIN GRUPO</p>';
                          }
                         ?></td>
                     
                      <td>                      
                        <button onclick="seleccionar('<?php echo $f['idchofer'] ?>','<?php echo $nombrecompleto ?>');" style="" class="btn green"><i class="fa fa-certificate"></i> Seleccionar</button>
                      </td>
                    </tr>
                    <?php
                      }
                    ?>
                  </tbody>
                </table>
              </div>
                    <div class="col s12 m6 l6"><!--green lighten-5-->
                      <div class="card-content">
                         <input id="idchoferImport" name="idchoferImport" type="hidden" class="validate" value="">
                      <div class="col s12 m12 l12" style="border-radius: 5px; border: 1px solid #E8E8E8; background: white;">
                        
                        <div class="input-field col s12 m12 l12"> 
                        <input id="idchofernombre" name="idchofernombre" type="text" readonly class="validate" value="">
                          <label for="idchofernombre" style="color:#00BBC7; text-decoration:none;"> Nombre de Chofer (Seleccionar)</label>
                        </div> 
                        <div class="input-field col s12 m12 l6"> 
                        <input id="idfechainicio" name="idfechainicio" type="date" class="validate" value="<?php echo $mesInicio ?>">
                          <label for="idfechainicio" style="color:#00BBC7; text-decoration:none;"> Fecha Inicio</label>
                        </div>  
                         <div class="input-field col s12 m12 l6"> 
                        <input id="idfechafin" name="idfechafin" type="date" class="validate" value="<?php echo $mesFin ?>">
                          <label for="idfechafin" style="color:#00BBC7; text-decoration:none;"> Fecha Fin</label>
                        </div> 
                        &nbsp;
                        <div class="col s12 m12 l12" style="text-align: right;"> 
                         <button id="btnSave" onclick="generar2();" style="font-size: 18px; width: 100%;" class="btn-jh cyan"> Generar Reporte</button> 
                        </div>
                      </div>
                      </div>
                      </div> 
             
              </div>
            </div>     
            </div>

          </div>
        </section>
      </div>
    </div>
    <div id="idresultado"></div>
    <!-- end -->
    <!-- jQuery Library -->
    <?php
      include_once($ruta."includes/script_basico.php");
      include_once($ruta."includes/script_tabla.php");
      include_once($ruta."includes/script_tablax.php");
    ?>
    <script type="text/javascript">
    $(document).ready(function() {
      $('#example').DataTable( {
        dom: 'Bfrtip',
        buttons: [
            'copy', 'csv', 'excel', 'pdf', 'print'
        ]
      });
        $('#example1').DataTable( {
        dom: 'Bfrtip',
        buttons: [
            'copy', 'csv', 'excel', 'pdf', 'print'
        ]
      });
          $('#example2').DataTable( {
        dom: 'Bfrtip',
        buttons: [
            //'copy', 'csv', 'excel', 'pdf', 'print'
        ]
      });
    });

 function seleccionar(idcho,nombrecompleto)
 {        
  $("#idchoferImport").val(idcho);
  $("#idchofernombre").val(nombrecompleto);
      
  }

    function cambiaestado(id,estado){
      swal({
        title: "Estas Seguro?",
        text: "Cambiaras el estado al ejecutivo",
        type: "warning",
        showCancelButton: true,
        confirmButtonColor: "#28e29e",
        confirmButtonText: "Estoy Seguro",
        closeOnConfirm: false
      }, function () {      
        $.ajax({
          url: "cambiaestado.php",
          type: "POST",
          data: "id="+id+"&estado="+estado,
          success: function(resp){
            console.log(resp);
            $("#idresultado").html(resp);
          }   
        });
      }); 
    }

function generar2()
{
  var lbl_us="<?php echo $lblcode ?>";
  var idchof=$("#idchoferImport").val();
  var fechaini=$("#idfechainicio").val();
  var fechafin=$("#idfechafin").val();
    popup=window.open('../pdf/movcobros.php?lblcode='+lbl_us+'&fechaini='+fechaini+'&fechafin='+fechafin+'&lblcode2='+idchof);
}
    </script>
</body>

</html>